-- minegraf.e
-- xpm graphics for mines game

function XpmToDib( sequence xpm )

    -- convert xpm to bmp, and then to dib
    sequence bmp         
    
    -- convert xpm to bmp
    bmp = XpmToBmp( xpm, {0,0,0} )
    
    -- convert bmp to dib
    return createDIB( bmp[2], bmp[1] )
    
end function

global constant 
Up = XpmToDib( {
    "16 16 4 1",
    ".        c #000000",
    "+        c #C0C0C0",
    "@        c #808080",
    "         c #FFFFFF",
    "               .",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " @@@@@@@@@@@@@@.",
    "................"} ),
    
Down = XpmToDib( {
    "16 16 2 1",
    ".        c #000000",
    "         c #C0C0C0",
    "                ",
    "               .",
    "                ",
    "               .",
    "                ",
    "               .",
    "                ",
    "               .",
    "                ",
    "               .",
    "                ",
    "               .",
    "                ",
    "               .",
    "                ",
    " . . . . . . . ."} ),

One = XpmToDib( {
    "16 16 3 1",
    ".        c #000000",
    "         c #C0C0C0",
    "+        c #0000FF",
    "                ",
    "               .",
    "                ",
    "       ++      .",
    "      +++       ",
    "     ++++      .",
    "       ++       ",
    "       ++      .",
    "       ++       ",
    "       ++      .",
    "       ++       ",
    "     ++++++    .",
    "                ",
    "               .",
    "                ",
    " . . . . . . . ."} ),

Two = XpmToDib( {
    "16 16 3 1",
    ".        c #000000",
    "+        c #008000",
    "         c #C0C0C0",
    "                ",
    "               .",
    "                ",
    "     +++++     .",
    "    +    ++     ",
    "         ++    .",
    "        ++      ",
    "       ++      .",
    "      ++        ",
    "     ++        .",
    "    ++          ",
    "    +++++++    .",
    "                ",
    "               .",
    "                ",
    " . . . . . . . ."} ),

Three = XpmToDib( {
    "16 16 3 1",
    ".        c #000000",
    "         c #C0C0C0",
    "+        c #FF0000",
    "                ",
    "               .",
    "                ",
    "     +++++     .",
    "         ++     ",
    "         ++    .",
    "     +++++      ",
    "         ++    .",
    "         ++     ",
    "         ++    .",
    "         ++     ",
    "    ++++++     .",
    "                ",
    "               .",
    "                ",
    " . . . . . . . ."} ),
    
Four = XpmToDib( {
    "16 16 3 1",
    ".        c #000000",
    "+        c #000080",
    "         c #C0C0C0",
    "                ",
    "               .",
    "                ",
    "    ++   ++    .",
    "    ++   ++     ",
    "    ++   ++    .",
    "    ++   ++     ",
    "    +++++++    .",
    "         ++     ",
    "         ++    .",
    "         ++     ",
    "         ++    .",
    "                ",
    "               .",
    "                ",
    " . . . . . . . ."} ),
    
Five = XpmToDib( {
    "16 16 3 1",
    ".        c #000000",
    "+        c #800000",
    "         c #C0C0C0",
    "                ",
    "               .",
    "                ",
    "    +++++++    .",
    "    ++          ",
    "    ++         .",
    "    ++++++      ",
    "         ++    .",
    "         ++     ",
    "         ++    .",
    "    ++   ++     ",
    "    ++++++     .",
    "                ",
    "               .",
    "                ",
    " . . . . . . . ."} ),

Flag = XpmToDib( {
    "16 16 5 1",
    ".        c #000000",
    "+        c #C0C0C0",
    "@        c #808080",
    "#        c #FF0000",
    "         c #FFFFFF",
    "               .",
    " ++++++++++++++.",
    " +++++++++++++@.",
    " +++++###.++++@.",
    " +++#####.++++@.",
    " +#######.++++@.",
    " +#######.++++@.",
    " +++#####.++++@.",
    " +++++###.++++@.",
    " ++++++...++++@.",
    " ++++++...++++@.",
    " ++++++...++++@.",
    " +++++......++@.",
    " +++.........+@.",
    " +++++++++++++@.",
    " @@@@@@@@@@@@@@."} ),

Question = XpmToDib( {
    "16 16 6 1",
    ".        c #000000",
    "$        c #000080",
    "+        c #C0C0C0",
    "@        c #808080",
    "#        c #0000FF",
    "         c #FFFFFF",
    "               .",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " ++++####+++++@.",
    " +++#$$$#$++++@.",
    " +++#$++#$$+++@.",
    " +++++++#$$+++@.",
    " ++++++#$$++++@.",
    " +++++#$$+++++@.",
    " +++++#$$+++++@.",
    " +++++++++++++@.",
    " +++++#$$+++++@.",
    " +++++#$$+++++@.",
    " +++++++++++++@.",
    " @@@@@@@@@@@@@@.",
    "................"} ),

Mine = XpmToDib( {
    "16 16 4 1",
    ".        c #000000",
    "         c #C0C0C0",
    "+        c #808080",
    "@        c #FFFFFF",
    "                ",
    "               .",
    "       +        ",
    "       .       .",
    "    . +.+ .     ",
    "     .....     .",
    "    +.@...+     ",
    "  +.........+  .",
    "    +.....+     ",
    "     .....     .",
    "    . +.+ .     ",
    "       .       .",
    "       +        ",
    "               .",
    "                ",
    " . . . . . . . ."} ),

RedMine = XpmToDib( {
    "16 16 5 1",
    "+        c #000000",
    "@        c #800000",
    ".        c #C0C0C0",
    "         c #FF0000",
    "#        c #FFFFFF",
    "               .",
    "               +",
    "       @       .",
    "       +       +",
    "    @ @+@ @    .",
    "     +++++     +",
    "    @+#+++@    .",
    "  @+++++++++@  +",
    "    @+++++@    .",
    "     +++++     +",
    "    @ @+@ @    .",
    "       +       +",
    "       @       .",
    "               +",
    "               .",
    ".+.+.+.+.+.+.+.+"} ),
    
Wrong = XpmToDib( {
    "16 16 4 1",
    ".        c #000000",
    "@        c #800000",
    "         c #C0C0C0",
    "+        c #FF0000",
    "                ",
    "               .",
    "                ",
    "   ++      ++  .",
    "   @++    ++@   ",
    "    @++  ++@   .",
    "     @++++@     ",
    "      @++@     .",
    "      ++++      ",
    "     ++@@++    .",
    "    ++@  @++    ",
    "   ++@    @++  .",
    "   @@      @@   ",
    "               .",
    "                ",
    " . . . . . . . ."} ),
    
Flag2 = XpmToDib( {
    "16 16 6 1",
    ".        c #000000",
    "$        c #800000",
    "+        c #C0C0C0",
    "@        c #808080",
    "#        c #FF0000",
    "         c #FFFFFF",
    "               .",
    " +++++++++++++@.",
    " +++++++++++++@.",
    " +++####$+++++@.",
    " +++###$$+++++@.",
    " +++##$$$+++++@.",
    " +++#$$$$+++++@.",
    " +++++++.+++++@.",
    " +++++++.+++++@.",
    " +++++++.+++++@.",
    " +++++++.+++++@.",
    " ++++++@.@++++@.",
    " ++++@.....@++@.",
    " +++++++++++++@.",
    " @@@@@@@@@@@@@@.",
    "................"} ),
    
Idle = XpmToDib( {
    "32 32 233 2",
    ".^        c #16140C",
    ".m        c #9E8A1C",
    " n        c #E5C626",
    ".X        c #CAAB1F",
    " 2        c #FAE229",
    ".V        c #5A4E0C",
    " |        c #D0C684",
    " a        c #F1D628",
    ".F        c #CFAA23",
    "+j        c #B28A1C",
    "+~        c #946E1A",
    "+&        c #D4BA1C",
    " I        c #E2C654",
    " $        c #EDD652",
    "+$        c #957F14",
    ".A        c #EECA2C",
    ".h        c #B29A1C",
    "./        c #373212",
    "._        c #7C661C",
    " f        c #F6D621",
    " 6        c #D2BA54",
    "+)        c #E2BE21",
    "+n        c #B29E64",
    ".E        c #A69A54",
    ".D        c #EEE27C",
    "+c        c #C49A24",
    " 4        c #EACE28",
    " Q        c #B6AE6C",
    "+=        c #D5B223",
    ".!        c #8E8A64",
    ".g        c #6C5E18",
    ".z        c #A47E21",
    " O        c #42422C",
    "+e        c #957618",
    " '        c #EADC7C",
    " l        c #F1D222",
    " 9        c #F9DE29",
    " ^        c #E2C634",
    " Z        c #C5A224",
    " A        c #FEF294",
    ".~        c #827E5C",
    ".x        c #B49224",
    " /        c #DEC234",
    ".y        c #AC8620",
    "+-        c #9E761C",
    ".W        c #A4921C",
    " %        c #EBD63C",
    "+|        c #423A14",
    " R        c #C6BA7C",
    ".M        c #DAB623",
    " P        c #726E4C",
    " r        c #F2D650",
    "+*        c #E4C220",
    ".|        c #232223",
    ".0        c #625614",
    " t        c #DCBA22",
    ".b        c #3C3A34",
    "+7        c #8B6619",
    " x        c #F6D63A",
    " E        c #F6E464",
    "+l        c #C6C6B4",
    ".4        c #5E5E5C",
    "+b        c #92763C",
    "+@        c #EAC624",
    "+#        c #BEB244",
    "+_        c #D2AA2C",
    " G        c #BAAA6C",
    "+5        c #AA7E1C",
    " {        c #F2D237",
    "+9        c #CAA224",
    ".n        c #C29624",
    " h        c #DBBA2F",
    "+3        c #A88E18",
    "+}        c #EACE54",
    ".p        c #EECA38",
    ".#        c #BEA620",
    ".-        c #323231",
    " y        c #FAEA84",
    " o        c #D1B237",
    "+;        c #9E8E60",
    ".P        c #9A761F",
    ".d        c #BA9420",
    "+%        c #86760C",
    ".:        c #9C8240",
    " ,        c #DEDAB2",
    " 5        c #E9C639",
    " !        c #F2D63C",
    " J        c #BEAE3C",
    " 8        c #F8E246",
    " L        c #5E5A34",
    "+6        c #9A721C",
    " 1        c #EEDE74",
    "..        c #BC9A22",
    " v        c #C39E32",
    ".R        c #DECE44",
    ".G        c #A5821E",
    " :        c #FADE37",
    ".u        c #FAF2BC",
    " X        c #B4961F",
    " b        c #E5C22F",
    "+a        c #926A18",
    " e        c #D2CEB2",
    ".j        c #F2EDB7",
    ".>        c #1B1A14",
    " 0        c #F2DA29",
    "+[        c #94721C",
    ".I        c #DACE6C",
    ".[        c #EAD674",
    ".r        c #96861C",
    "+,        c #E2BA2C",
    " V        c #726614",
    " <        c #F5DE51",
    ".1        c #2A2A2B",
    " )        c #F8DA39",
    " Y        c #BE9E24",
    "+:        c #D6AE24",
    " ;        c #D6C86C",
    " 3        c #F6DA26",
    ".l        c #6A5E2C",
    " [        c #F0D22C",
    ".o        c #A68634",
    ".K        c #A69638",
    "+]        c #DAB230",
    ".C        c #A6A284",
    "+i        c #BABAA4",
    ".]        c #52524C",
    ".*        c #ACAAA8",
    " p        c #C2A244",
    ".)        c #9A924C",
    ".=        c #787874",
    ".J        c #EEE6B4",
    " >        c #D8CE94",
    "+2        c #866A14",
    "+f        c #C4C2B4",
    ".S        c #CEC264",
    " S        c #8E8654",
    " M        c #4E4A39",
    "+d        c #8C6F14",
    ".f        c #AA924C",
    ".w        c #A68C38",
    ".c        c #867624",
    " q        c #BAB294",
    " B        c #FAEA6C",
    "+k        c #BAA664",
    ".3        c #727274",
    "+8        c #CAAA4C",
    " @        c #E2DA9C",
    " +        c #D8D7CC",
    " *        c #E9CF36",
    " 7        c #D0BC70",
    " D        c #F9ED97",
    " (        c #D2D2CC",
    "+4        c #9C7F16",
    ".U        c #9A8A24",
    ".%        c #564E24",
    ".7        c #AE9E6C",
    " N        c #423E2C",
    ".i        c #585648",
    ".{        c #6A6A60",
    "+(        c #9A8A64",
    "+<        c #AE9214",
    "+1        c #3E360C",
    "+h        c #826514",
    ".9        c #6A5A14",
    ".L        c #C6B654",
    " c        c #D6B634",
    ".q        c #8E7A1C",
    ".5        c #221E14",
    ".+        c #AE922C",
    " .        c #C2BEB4",
    ".<        c #AE8E2C",
    ".t        c #FCF6CC",
    "+o        c #B2AE8C",
    " z        c #FEF4A8",
    " w        c #CECAB1",
    " T        c #666254",
    ".H        c #9A7A34",
    "+/        c #D6AE2C",
    ".e        c #AE8A1C",
    "++        c #DECA74",
    "+{        c #AEA68C",
    " m        c #CAAA2C",
    ".k        c #5E5A44",
    ".(        c #4A3E14",
    " _        c #EADE9C",
    " g        c #E6CA2C",
    ".$        c #7E7224",
    ".6        c #B48E24",
    " F        c #EECE26",
    ".Z        c #D6B624",
    "+0        c #957A14",
    " =        c #E1CA3C",
    ".&        c #76725C",
    " k        c #F3DA56",
    ".B        c #665A17",
    ".'        c #3E3E3C",
    "+^        c #8E6A19",
    ".T        c #C2B654",
    ".@        c #F0CE37",
    " d        c #D0B644",
    " ]        c #E7CA34",
    " s        c #FAE642",
    ".;        c #1E1E1C",
    " #        c #E9DA6F",
    " &        c #EAD22C",
    " H        c #EACA26",
    " C        c #FAEE84",
    "+g        c #9A7A1A",
    " ~        c #F2DA3A",
    " K        c #867A34",
    ".a        c #4A4A4C",
    " W        c #A28E14",
    " U        c #5E5214",
    ".N        c #D2AE22",
    "+'        c #D6BE24",
    " -        c #DECA50",
    "+.        c #C49E22",
    "+!        c #A07A1F",
    ".,        c #262624",
    ".Y        c #DEBE1E",
    " i        c #CFAE2F",
    ".O        c #CBA621",
    " }        c #DCBE32",
    ".8        c #EED258",
    ".v        c #363631",
    ".s        c #D6D2B2",
    " u        c #CBA62F",
    ".Q        c #E4BE30",
    ".2        c #2E2E2C",
    "+>        c #DEB630",
    ".}        c #524610",
    "+m        c #BEB68C",
    " j        c #C6AE54",
    " . . . . . . . . . . + @ # $ % & * = - ; > + . . . . . . . . . .",
    " . . . . . . . . , ' ) ) ! ~ % { * * ] = ^ / ; ( . . . . . . . .",
    " . . . . . . . _ : : < : ) ) ~ ! [ & * ] = ^ / } | . . . . . . .",
    " . . . . . , 1 : : 2 : : : ) ) 3 ~ { [ 4 ] 5 ^ } 6 7 ( . . . . .",
    " . . . . + ) : : : 8 9 9 9 9 9 0 0 a % a & ] ^ b } c d e . . . .",
    " . . . , < : ) : : 9 : 9 9 9 9 9 9 3 f [ [ & g ^ } h i j ( . . .",
    " . . . k ) : : : 9 9 2 2 9 9 9 9 9 9 0 a l [ 4 g / } c m j . . .",
    " . . ' ) ) : ) 9 9 2 9 9 2 2 9 9 9 3 9 3 0 l 4 g n } c o p q . .",
    " . + r ) ) : 3 : 9 8 s s 2 2 2 2 2 9 8 8 < ~ [ g n } t o u v w .",
    " . # x ) ) 3 9 9 8 y z z A s 2 2 8 B C D y E ~ F g b t o m v G .",
    " + x { { H I J K L M N O P Q E 8 B D R S T L L U V W X Y Z...+ +",
    " @ {.@.#.$.%.&.*.=.-.;.>.,.' L.).!.~ M.{.].,.^.^.^./.( L._.:.< q",
    ".[ {.@.}./.,.{.*.=.-.;.>.;.;.|.1.1.2.'.3.4.2.;.|.;.|.,.1.5.+.6.7",
    ".8.@ x.9.0.|.-.a.b.,.;.|.|.,.1.!.!.1.|.-.1.|.|.|.,.,.2.c.(.d.e.f",
    ".@.@ {.g.h.}.|.;.|.;.;.|.,.1.i.j.j.k.|.;.;.|.|.|.,.,.l.m.%.n.<.o",
    ".p.p [.q [.r.}.^.>.;.|.,.,.-.s.t.u |.v.,.;.|.,.,.1.2.w u.9.x.y.z",
    ".p.p.A [ [ [ J.B.v.|.-.a T.C.t.t.u.D.E.'.1.,.1.- M K.F.F v.6.G.H",
    " 5 5.A.@ F l l l & a 0 &.I _.J.J D $.r.g V.g.K.L d.M.N.O...<.G.P",
    " I.Q b.A.A l l a f 0 0 a.R.S Q Q.T.U.V.g.W W.X.Y t.Z.F+..d.y.H.:",
    "++.Q b+@.A H F F a f f 0 %.R+#.K.W+$+%.#.Y+&+*+* t+=.O...6.z+-+;",
    " >+>+,.Q+*+@ H F F a l f f a &+'+'+& n 4 H n+) t+=.F Z.d.y+!+~+{",
    " ++]+> t.Q+*+@+@ F 4 l l l a a & 4 H F H+@+) t+=.N Z.n.6.G.P+^ (",
    " . 7+/+] t+)+*+*+@ H 4 [ ~ k k k ~ 4 n+*.Y.N.X.O Z...x.y+!+~+( .",
    " . e+_+/+:+] t+)+*+* ] $.8 $ $ $ * n+*.Y.X X+<+<+<.x.y.z+[+^ . .",
    " . . 7 u+_.N+=.M t+, n+} o.0+|+1+1./+2+=+3+4.G.y.y.y+5+6+7+; . .",
    " . . .+8+9+9+_+:+=.M.M }+=+3+0+0+4+0.h..+4+[+0+0.z+!.P+a+b . . .",
    " . . . e v+c+9.O+_+:+:+:+:+=+=.N.O.O.d+0+2+d+e+e+!+e+~+^+f . . .",
    " . . . . w+.+c+.+.+9+9 Z+<.G+g+0+0+0+d+h+h+d+~+[+~+a+7+i . . . .",
    " . . . . . e p.n.n.n.n.n.e+4+[+d+2+d+2+h+2+~+^+~+a+b+f . . . . .",
    " . . . . . . . j+j.6.6+j.e.y+4+g+e+[+~+2+^+^+^+7+; . . . . . . .",
    " . . . . . . . . w+k.y.y.y+5+!+!+-+e+6+~+^+7+(+l . . . . . . . .",
    " . . . . . . . . . . ++m+n.w+5+6+[.P.:+;+o ( . . . . . . . . . ."} ),
    
Start = XpmToDib( {
    "32 32 244 2",
    ".:        c #0A0A04",
    " t        c #DDC22C",
    "+:        c #C3A619",
    " A        c #FAE233",
    "+f        c #544A0E",
    ".6        c #CCC484",
    ".Y        c #CBA620",
    " l        c #EDD221",
    " 3        c #7D6A14",
    "+5        c #AE8620",
    ".K        c #D5B91C",
    "+d        c #906A1F",
    ".N        c #B4961C",
    " ,        c #E8D254",
    ".k        c #EAE294",
    ".9        c #E4C222",
    "+<        c #342D04",
    ".{        c #DAD27C",
    " s        c #F1DA30",
    ".V        c #928117",
    "+3        c #6E5E0D",
    "+~        c #CCAF1C",
    " !        c #AE9E44",
    ".t        c #A89834",
    "+8        c #AEA68C",
    "+a        c #E8CA24",
    " T        c #D2BA4C",
    "+t        c #C29624",
    ".@        c #FEF297",
    " y        c #675A0C",
    ".W        c #DEBA21",
    "+2        c #463A0C",
    "+{        c #A27A1E",
    " i        c #8A8A8C",
    ".X        c #D6B120",
    ".]        c #F0E27A",
    ".s        c #F2D226",
    " z        c #6E6A4C",
    ".'        c #F6DA26",
    "+y        c #BEB68C",
    ".*        c #E6CA3C",
    " k        c #514D34",
    " .        c #C3C2BC",
    ".b        c #F8E884",
    "+'        c #A08E1C",
    "+4        c #C49E21",
    " <        c #1C1C0C",
    "+s        c #B28E1C",
    " w        c #F9DA37",
    " C        c #CAAA4C",
    ".o        c #E1BE23",
    ".2        c #F5D239",
    " V        c #CBA62E",
    "+z        c #967321",
    "+0        c #BB9E19",
    " P        c #E2DA8C",
    " x        c #C1B241",
    "+;        c #E2C654",
    " D        c #CBAE37",
    ".U        c #50460C",
    ".;        c #C39E32",
    " I        c #CEC26C",
    " q        c #D6BE27",
    "+&        c #EADA5C",
    " }        c #36321C",
    "+@        c #9A7A34",
    "+>        c #B8AC6C",
    "++        c #A9821E",
    ".a        c #B78E1F",
    ".G        c #867610",
    ".z        c #BB961F",
    ".^        c #E4C22C",
    ".Q        c #EECA2C",
    ".<        c #FDF5B4",
    " 7        c #25220C",
    " g        c #5D5D5C",
    ".5        c #FAEA60",
    " r        c #F9DE24",
    ".!        c #525234",
    ".>        c #CECAB1",
    " O        c #F8E24A",
    "+g        c #D2AA21",
    " U        c #D6B634",
    " K        c #E6E2B4",
    ".0        c #D2AE23",
    " j        c #A29E7C",
    " *        c #454544",
    ".3        c #F5D624",
    " M        c #FCEE89",
    " u        c #A28E3C",
    "+c        c #CAA221",
    ".[        c #E2DA97",
    ".O        c #AA8620",
    ".4        c #D2CA84",
    "+6        c #9C7A24",
    "+o        c #8E661C",
    ".)        c #7A764C",
    ".D        c #EECA38",
    ".g        c #E2BE2E",
    "+n        c #9A721C",
    " )        c #DECB47",
    ".L        c #CDAA21",
    " ~        c #7A7244",
    ".x        c #DAB721",
    "+m        c #78660E",
    "+|        c #DEB630",
    " =        c #3C3A32",
    "+w        c #AA7E1C",
    "+l        c #D6AE2C",
    "+u        c #BABAA4",
    "+)        c #AA8E1C",
    ".p        c #C5A221",
    " B        c #C2B450",
    " :        c #333231",
    "+,        c #BEB270",
    "+.        c #B89220",
    ".q        c #BE9A22",
    ".(        c #BAA664",
    "+1        c #837211",
    "+7        c #966E1C",
    ".,        c #EAD674",
    "+/        c #EAC624",
    "+(        c #EACE1C",
    " ;        c #666234",
    "+i        c #9A8A64",
    " /        c #AEAEAC",
    "+$        c #DACA5C",
    " 9        c #16120C",
    " %        c #777672",
    ".M        c #C2A244",
    " (        c #727274",
    " ^        c #9E9E9C",
    " h        c #928234",
    " L        c #F2EAAC",
    " E        c #C6AE54",
    " b        c #817E71",
    " e        c #2B2B2C",
    ".f        c #ECDA6C",
    ".v        c #C6AE2C",
    " 2        c #887A34",
    "._        c #C6BE81",
    "+x        c #9F9267",
    " N        c #F8E664",
    "+v        c #C2AE74",
    ".H        c #60540C",
    " H        c #D6C64C",
    " J        c #DAD29C",
    " S        c #CCBC70",
    ".R        c #FEFACC",
    " >        c #AA9E3C",
    "+b        c #9A8214",
    " n        c #665E34",
    " W        c #BAB294",
    " $        c #A9A9AA",
    " &        c #565654",
    " @        c #CDCDCC",
    ".i        c #B09E68",
    " +        c #D5D5D0",
    "+-        c #92763C",
    " d        c #242424",
    " Z        c #FCEC79",
    ".B        c #A68838",
    " _        c #4C4C4A",
    " 0        c #1D1D1C",
    ".l        c #D8CE90",
    " o        c #F4DA54",
    "+]        c #9C8240",
    "+!        c #A28A14",
    ".%        c #F2E587",
    ".e        c #C6BA7C",
    ".S        c #C6B438",
    " {        c #5A563C",
    ".~        c #AAA26C",
    ".1        c #AA924C",
    "+p        c #C2BEB4",
    ".8        c #F2DE6C",
    " 1        c #8E802C",
    ".$        c #F6EA9C",
    ".h        c #B18E28",
    ".F        c #FDF6C9",
    ".u        c #A6922C",
    "+^        c #DECA74",
    " ]        c #6A6A6C",
    ".+        c #FAEE9E",
    "+=        c #C6A62C",
    " -        c #3E3A24",
    "./        c #BE9E2C",
    " 4        c #4C4620",
    "..        c #FEF2A5",
    " |        c #5A4E0C",
    ".&        c #EED55C",
    " [        c #221E04",
    "+k        c #D2AA2C",
    " v        c #D2B234",
    ".y        c #CAA22C",
    ".n        c #EAC530",
    ".7        c #EADE98",
    ".j        c #DACE7C",
    " 5        c #6A6654",
    "+e        c #D2BE6C",
    " 6        c #524E44",
    " R        c #D2C684",
    "+%        c #EEE6B4",
    " p        c #9C8A1C",
    " G        c #ECD62C",
    ".T        c #7C6E1C",
    "+h        c #926E1A",
    ".J        c #B49A18",
    ".I        c #685E14",
    ".P        c #A47E20",
    ".d        c #C2BA7C",
    " #        c #C6C6BC",
    "+_        c #A29224",
    "+#        c #EFCE25",
    ".#        c #FAE650",
    ".r        c #F1CE38",
    " f        c #3E3E37",
    " 8        c #17160D",
    ".C        c #EAC644",
    ".|        c #D2B229",
    " F        c #EADE89",
    " X        c #DADACC",
    ".A        c #AF8A1C",
    ".E        c #E6D65C",
    ".w        c #E6C624",
    "+*        c #6F620C",
    ".Z        c #C39A1E",
    " '        c #E7CE40",
    "+r        c #AE9214",
    " m        c #F9DE34",
    " Y        c #F6D636",
    ".-        c #CAAA2C",
    ".c        c #E6DE84",
    "+j        c #D2CEB4",
    ".=        c #DABA2C",
    "+[        c #9D761E",
    ".}        c #DFBA2C",
    "+9        c #D9B22F",
    "+q        c #A89214",
    " a        c #363631",
    "+}        c #9E8E60",
    " c        c #B2B2B4",
    ".m        c #DECE64",
    " Q        c #DED6A4",
    " . . + + @ # $ % & * = - ; > , ' ' ) ! ~ { & & & ] ^ / . @ + + .",
    " . . + ^ ( _ ( $ % : < < [ } | 1 2 3 4 5 6 7 8 9 0 a * ] b c + .",
    " . . + * : d ] $ % : 0 0 0 d d e e e f ( g e 0 0 0 0 d e d . . .",
    " . . . g & d a _ = d 0 0 d d e 1 h e d a e d d d d e e i _ . . .",
    " . . . g j 4 d 0 d 0 d d d e k l m { 0 0 0 d d d d e n ^ g . . .",
    " . . . b o p 4 9 0 0 0 d e : q r s t f d d 0 d d e e u v % . . .",
    " . . . o w w x y a d : _ z > A r r r B k e d e a k 2 C D E . . .",
    " . . F w w m w G H I J K L M N A r m O P Q J R S T q U v V W . .",
    " . X Y w w m m m m Z...+.....@.# A N M.@.+.$.%.&.* t.= v.-.;.> .",
    " .., Y w w w.' w O.+ Q.).!.~.@ Z.# Z.{ ~ k b Q.] ,.^.= v V./.( .",
    " X Y Y Y w w r r.#.@._ 8.: k.< M N M._ 8.: f.[.%.&.^.}.| V./.1 +",
    " Q.2.2 Y.3 w.' r m M.4 = 8.).@ M.5.%.6 = 8 n.7.8.&.9 q.0 V./.a W",
    ".,.2 Y Y.'.'.' r r N.% R._.[.@.b.c.c P._.d.e.7.f '.^.g.| V.;.h.i",
    ".&.2.2 Y.3.'.' r r A.5 Z M M M M.].j.4.[.k.l.m '.n.o.=.|.p.q.h.1",
    ".r.2.s Y.3.3.3 r r r r r A M...< L.j x.t !.u.v t.w.o.x.|.y.z.A.B",
    ".C.D.r.2.s.3.'.'.' r r s.E.+.F.F.+ P.v.G.H.I.J.K.o.o.x.L.M.N.O.P",
    ".D.D.Q.s.2.s.3.'.' r r G.{ L.F.R.<.k.S.T.U.U.V.K q.W.X.Y.Z+.+++@",
    ".C.n.D+# l.s G.3.' G.' G+$.k K+%.$+&.V y+*.H p.x.o.x.0+=.q.B+++-",
    "+;.n.n.n+#+#.s.3.'.'.' G ) I+>+, x+' |+*+)+!+~.o.W.x.Y.p.z.O+{+]",
    "+^.g.g.n+/+( q+( l.3 l s G ) x.t+_.V.G+: q.K.o 3+<+).Y.q.h.P+[+}",
    ".l+|.}.^.9+/.o+1+~.3 l.3.' G ' q.K.K t+(+(+'+2 [+3.L+4+.+5+6+7+8",
    " ++9+|+|.o.9.w+~.T+3+0+a+(.3 G l+(+(.K+b y 9+< y+0+c.q.h+++[+d +",
    " .+e+9+9.W.W.o.9.9 p y.U+f y y.H.H+f+< 7+<+f 3+g.Y.Z+..O+6+h+i .",
    " .+j+k+g+l+|.W.o.9.9+/+:+1+m+m+*+3+3 3+m 3.J.Y.Y+0+..A.P+n+o+p .",
    " . . S+k.L.0.X.x.W.o.9.9.9.x+~.N+q+r+4.p.0+g.p.Z+.+5.P+n+d+} . .",
    " . . . C.y.Y+g.X.X.x.x.x.W.W.W.x.x.X.0.0.Y+4.Z.a.A.P+[+d+- . . .",
    " . . .+j.;+4+c.Y+g+g.0.0.X.0.X.0+g.L+c+c.Z+.+s.O.P+[+h+o+p . . .",
    " . . . ..>.;+t+4+c+c+c+c.Y.Y+c+c+4+4.q+.+s.A+++{+[+d+o+u . . . .",
    " . . . . .+j.;+t+t+t.Z+t.Z.Z.z+t+..a+s.A.O+{+[+7+d+- . . . . . .",
    " . . . . . . .+v.a.a.a.a.a.a.a.A.A.O+w+{+[+n+h+o+x . . . . . . .",
    " . . . . . . . ..>.(+5+++5+++w+{+{+[+[+7+h+o+} . . . . . . . . .",
    " . . . . . . . . . . ++y !.B+++[+n+z+]+x+> + . . . . . . . . . ."} ),

Winner = XpmToDib( {
    "32 32 233 2",
    " Y        c #151514",
    " o        c #9E8E1C",
    " K        c #DAC61C",
    " H        c #544E10",
    " 1        c #FAE229",
    ".Q        c #7A6E14",
    " T        c #C8C6B4",
    ".4        c #AF8A1C",
    " 4        c #EBD62F",
    "+3        c #D2AA28",
    "+)        c #936E1A",
    ".!        c #B99A24",
    " a        c #D6BD21",
    " q        c #746414",
    ".B        c #928016",
    " $        c #EAD858",
    ".7        c #E9C62E",
    " l        c #4C4216",
    ".<        c #B09E68",
    " I        c #8C7E14",
    ".'        c #6E5E14",
    "+=        c #ADADAC",
    ".F        c #C39A1E",
    " %        c #EAD644",
    " 7        c #D2BA54",
    " (        c #EADE8C",
    ".n        c #A47E20",
    ".0        c #F4EAA0",
    " 9        c #EACE2C",
    ".P        c #A69A54",
    ".,        c #AF9221",
    " P        c #524611",
    " i        c #645614",
    ".8        c #746E48",
    " L        c #D0B61C",
    ".j        c #FCF2B0",
    " U        c #252212",
    ".X        c #BABAA4",
    "+,        c #C5A221",
    " :        c #F6D630",
    ".M        c #968E64",
    ".C        c #93761A",
    ".#        c #44423C",
    "+f        c #A48614",
    ".}        c #453C0C",
    ".Z        c #4E4E44",
    ".6        c #EECE44",
    " >        c #D8CE94",
    "+0        c #8E661C",
    "+*        c #E3E2E1",
    "+~        c #DAB230",
    "+;        c #807E6C",
    " y        c #F2CE34",
    "+|        c #BA921C",
    " m        c #84761C",
    "+_        c #D6C21C",
    " |        c #F2DC5C",
    ".b        c #665E3C",
    " ,        c #DEDAB4",
    ".d        c #322A0C",
    " c        c #F8DE22",
    "+1        c #9A8A64",
    "+#        c #9E761C",
    ".%        c #BAAA6C",
    " N        c #3E3A24",
    " t        c #B8A21C",
    "+l        c #C2B074",
    " 0        c #E4C22C",
    "+c        c #CAA226",
    "+>        c #898682",
    "+b        c #B78E1F",
    " p        c #7A6A14",
    " 6        c #EDC93F",
    "+g        c #AC811E",
    " *        c #E9CF36",
    ".L        c #7E7A5C",
    ".l        c #4E4A39",
    " X        c #343433",
    ".$        c #967E34",
    "./        c #EADE5C",
    " b        c #D0B238",
    " .        c #C3C2BB",
    " -        c #E0C854",
    ".p        c #6E663C",
    " F        c #221E08",
    ".]        c #5C562E",
    ".k        c #C4B438",
    "+(        c #D6AE27",
    " [        c #DCBC32",
    ".I        c #EECA30",
    ".{        c #B69222",
    ".w        c #92763C",
    "+.        c #7F7F7D",
    " s        c #8B7917",
    "+%        c #E1DEDC",
    " _        c #F9DE3D",
    "+<        c #C9C7C4",
    ".:        c #B18E25",
    " {        c #F2D62D",
    ".~        c #BE9A22",
    " g        c #E4D878",
    " k        c #4E4610",
    "+j        c #B4B4B0",
    ".>        c #C49E34",
    ".1        c #FAEE94",
    ".T        c #AC8620",
    ".c        c #5C5840",
    "+2        c #D4D0B4",
    "+&        c #EBEBE6",
    " 2        c #FADE31",
    "+8        c #CCA624",
    " &        c #EED137",
    " R        c #A68A24",
    " J        c #E2CE24",
    " v        c #C4AA2C",
    ".3        c #D1AE28",
    "+6        c #9A721C",
    "._        c #72622C",
    " Q        c #9B821F",
    " <        c #E7CA30",
    ".y        c #9E9A84",
    " B        c #94928C",
    "+!        c #AEA68C",
    "+-        c #A3A3A1",
    ".N        c #9D936C",
    ".5        c #AA924C",
    ".2        c #B2A654",
    " d        c #C8AC50",
    ".a        c #DACE74",
    "+n        c #BEB68C",
    ".h        c #928A44",
    " @        c #E1DAA1",
    ".=        c #8A8A87",
    ".)        c #B2A63C",
    ".|        c #CEC264",
    ".D        c #5E4E0C",
    ".K        c #B6AE8C",
    ".^        c #FAE65C",
    " ]        c #E2C634",
    " h        c #807638",
    "..        c #2B2B2C",
    "+d        c #866E14",
    " z        c #756A37",
    " V        c #242424",
    " }        c #D2C67C",
    ".Y        c #605E56",
    " +        c #D8D7CF",
    " x        c #BAB294",
    ".E        c #6E5A14",
    " M        c #56522C",
    " 8        c #D0BC70",
    ".i        c #FDF6C9",
    ".V        c #DECA74",
    " C        c #6C6858",
    ".-        c #5A5A5C",
    " D        c #363418",
    ".r        c #F1E9B1",
    "+5        c #747058",
    "+^        c #BBBBB9",
    ".*        c #525250",
    "++        c #787874",
    " Z        c #1D1D1C",
    " /        c #D0D0C8",
    " ^        c #DDC237",
    " O        c #1A1604",
    ".A        c #5A4A0C",
    "+4        c #D6B326",
    ".G        c #9A7722",
    ".R        c #4A463C",
    ".g        c #3A3624",
    ".U        c #9E823C",
    " e        c #D6B634",
    " f        c #CAAA2C",
    "+o        c #A2925C",
    " S        c #A38D37",
    ".e        c #A68634",
    ".O        c #A69E6C",
    ".[        c #EED25C",
    ".+        c #3E3E3C",
    " '        c #EADE7C",
    " n        c #E2CA24",
    "+h        c #CECAB0",
    "+{        c #DEBA24",
    " ~        c #F2D83C",
    ".(        c #56523C",
    "+k        c #C29624",
    ".x        c #9A7A34",
    " W        c #868284",
    " #        c #EAD977",
    "+e        c #7A725C",
    "+7        c #C2BEB4",
    ".v        c #7A6214",
    ".@        c #7E7A74",
    "+i        c #967220",
    " r        c #6C6214",
    "+@        c #A6821F",
    "+]        c #B1961C",
    ".t        c #E3BE29",
    " j        c #534A14",
    " u        c #C4A62C",
    " ;        c #D8CA64",
    ".m        c #DBB628",
    " w        c #C6A634",
    " )        c #F7DA40",
    ".q        c #C6AE20",
    "+a        c #A29E94",
    " E        c #2A2204",
    "+:        c #867E64",
    ".o        c #BEA224",
    ".H        c #EAC234",
    "+m        c #BAA664",
    " !        c #F6DA2C",
    " G        c #322E0C",
    " A        c #6E6A4C",
    "+[        c #B6961C",
    " 3        c #F2DA2C",
    "+9        c #BE9E2C",
    " =        c #E2CA3C",
    ".;        c #4B4A46",
    ".u        c #5A4E24",
    ".J        c #B2AEA0",
    ".s        c #7E720C",
    ".f        c #3C3608",
    "+}        c #C59E24",
    " 5        c #EED22A",
    ".z        c #76724C",
    ".9        c #FEF6B4",
    "+/        c #906A1F",
    ".W        c #E6E6E4",
    ".&        c #F6D23A",
    ".S        c #BB961F",
    "+$        c #9E8E60",
    "+'        c #A17A1F",
    " . . . . . . . . . . + @ # $ % & * = - ; > + . . . . . . . . . .",
    " . . . . . . . . , ' ) ! ~ ~ { % * * = ] ] ^ ; / . . . . . . . .",
    " . . . . . . . ( _ _ _ _ ! ) : { & & * < = ^ ] [ } . . . . . . .",
    " . . . . . , | _ _ 1 _ ! 2 ! ! 3 3 4 5 * < 6 ^ ^ 7 8 / . . . . .",
    " . . . . , | _ ) _ 1 _ 2 2 2 2 ! ! { 5 4 5 9 ] 0 [ a b / . . . .",
    " . . . , ) 2 ) 2 2 2 1 2 c c c c c 3 ! 5 5 9 < ] [ [ b d / . . .",
    " . . . # ) _ 2 _ 2 2 1 1 1 c 2 c c ! ! { { 9 9 < ^ [ e f d . . .",
    " . . g ) ! ) ^ h i j k l m a 1 c c c n o p q q r s t u v w x . .",
    " . + y 6 u z A B C D E F G H I J K L i M N O O O O P i Q R S T .",
    " . # & m U V W / B X Y Y Y Z U.......+ B.@ X Z Y Z Y V...#.$.% .",
    " +.&.& [ k V.*.=.- X V V V V...... X.+.*.; V V V V...... z.>., +",
    " @ ~ ~ {.' V.. X.. V Z V V V...).).. Z V Z V V V V V...,.!.~.{ x",
    " # y.& { t j U Z Z Z Z V V V.].^./.( V V Z V V V V..._ S w.~.:.<",
    ".[ y {.& 3 m.} Y Z Z V V.....|.1 '.2 X Z Z Z V V.. V S.3 w.~.4.5",
    ".6 y.7 v : 4 p U Z Z V V...8.9.9.0.a.b X V V V.. X.c v Q.d.4.e.e",
    " 6 0 i.f { : 3 a r V V.g.h.1.i.i.j g.k.].+ X.+.l h.m.m.n G l.4.n",
    " 6.o l.p P s.q 3 ! 3 c 5.a.r.i.i.j (.k.s j l I L.t.o q.u.v.w.e.x",
    " 6.7.7.!.p.y.z.A.B t a 4 ; @.r.r.0 $.B i.' i.C s.D l.(.E.F.4.n.G",
    " -.H.7.I q.J + +.K.L.p k h.M.N.O.P.Q.}.f.} E G.l.R.- l.,.S.T.x.U",
    ".V.t.H 0.7.} +.W.W.@ ..W /.X.=.Y.Y.Z.#.Y.Z+.++.;.#.l.C.F.4+@+#+$",
    " >.m.t.t 0 a.]+%+&++ ..W+*+%+=.*+=+-+-+; X+>++.;.;.D+,.S.T+'+)+!",
    " ++~+~+{.t.t+]+;+&++ ..W.W+%+.++ .+^+=+...+>+..* l+,.S.:.n.G+/ /",
    " . 8+(+~+{.t+_+]+:+. .+&.W+%+.+++<+^+=+. N.=+. l+[+}+|.T+#+)+1 .",
    " .+2+3+3+4.m.m+{+]+5 ..W.W+*+.+++<+^+=+>.++> l.,.F.{.T.n+6+/+7 .",
    " . . 8+8+3+(+4.m+{.,.8+%.W+*++++ .+^+= W.* P.S+9+|.4.n.G+0.N . .",
    " . . . w+}+8+3.3+4+4.!.f+a ++.++ .+^+-+5.A+].~+b.T.n+#+/.w . . .",
    " . . . /.>+}+c+8+3.3.3+(+d D.Y A+e.c.}+d.F+|+b+f+g+#+/+/+7 . . .",
    " . . . .+h.F.F+}+}+c+8+8+8+c+f s.C+f.S+[+b.4+g+'+i+/+/+j . . . .",
    " . . . . .+2.>+k+|+k.S.S.F.F+k.S+|+|.4.T+f+'+#+)+/.w T . . . . .",
    " . . . . . . .+l+b+b+|+b+b+b.:.4.4+g+g.n+#+6+)+0.N . . . . . . .",
    " . . . . . . . .+h+m+g.T+g+g+g.n+'+#+6+)+)+0+$ . . . . . . . . .",
    " . . . . . . . . . . ,+n.< R.n+6+i.G Q+o.% + . . . . . . . . . ."} ),
    
Loser = XpmToDib( {
    "32 32 240 2",
    " q        c #020204",
    ".B        c #928218",
    " U        c #DEC228",
    " 5        c #FAE223",
    " h        c #B9A219",
    " H        c #4C420C",
    "+j        c #C4C2B4",
    " :        c #EDD228",
    ".W        c #AEA68C",
    "+3        c #9C4244",
    " t        c #C9B21C",
    " $        c #E8D658",
    ".H        c #A3921C",
    "+;        c #4E2224",
    ".{        c #E3C222",
    " 3        c #F0DA2C",
    " L        c #D8B22A",
    ".V        c #966E1C",
    ".C        c #6E620C",
    "+#        c #CAA224",
    " e        c #E5CA27",
    " Q        c #2A2204",
    ".;        c #B89224",
    ".]        c #D8BA1F",
    "+_        c #C04E4C",
    " &        c #ECD236",
    ".s        c #EEE27C",
    ".R        c #A6821E",
    "+l        c #72422C",
    " _        c #F0DA3A",
    ".f        c #E2D67C",
    ".l        c #CDAA22",
    "+q        c #BA927C",
    ".9        c #E2BE23",
    " 8        c #EECA31",
    " X        c #BD9A26",
    " B        c #151204",
    ".i        c #5E520C",
    ".g        c #C0B240",
    "+h        c #C26E3C",
    ".u        c #7E720C",
    " M        c #C2A244",
    ".:        c #CEC264",
    ".x        c #9C761F",
    ".3        c #FCF2B0",
    " u        c #C1AA1F",
    " f        c #DCBA2E",
    ".o        c #F2D226",
    "+}        c #B94E4C",
    " ^        c #E2C654",
    " Z        c #363204",
    "+|        c #D25654",
    ".M        c #9A8244",
    "..        c #CCBA24",
    ".'        c #EADC5C",
    "+~        c #D6D2B4",
    ".=        c #CAAA4C",
    "+&        c #CEBA74",
    " 9        c #E3C22D",
    " 2        c #F6DA27",
    "+[        c #8E661C",
    " =        c #E5CA37",
    " O        c #F5D239",
    " ~        c #F8DA38",
    ".K        c #D2AA29",
    "+(        c #863D3C",
    "+'        c #9A7E14",
    "+{        c #AC4A4B",
    ".*        c #D1B221",
    "+u        c #9F9267",
    ".c        c #AE8A1C",
    "+d        c #C69A24",
    ".&        c #261E07",
    " |        c #D2C67C",
    ".Y        c #3D2614",
    " v        c #655A11",
    " 6        c #F9DE25",
    " p        c #9C8A17",
    ".,        c #FAE65C",
    " A        c #534A0C",
    ".T        c #DEB630",
    ".b        c #C19624",
    ".}        c #DEBC22",
    "+/        c #CC5554",
    "._        c #FCEE84",
    "+4        c #7F3A3C",
    " 7        c #F4D627",
    " c        c #F4DA54",
    " (        c #FADE37",
    " z        c #0D0C04",
    ".)        c #DCCA4C",
    ".F        c #B8B06C",
    " W        c #CAA22C",
    ".2        c #EECB3F",
    "+f        c #201C04",
    ".D        c #9A7A34",
    "+!        c #916E1A",
    ".k        c #B09814",
    "+6        c #6B3234",
    ".0        c #D8B629",
    " i        c #EACB27",
    ".|        c #B99621",
    " F        c #CAAA2C",
    ".~        c #927E14",
    ".r        c #FEFACC",
    ".7        c #BEAE3C",
    " '        c #DEDAB2",
    ".z        c #EAC530",
    " {        c #F5D637",
    ".5        c #F4EAA0",
    " ;        c #D6CA6C",
    ".@        c #F4E244",
    "+*        c #A24A44",
    "+]        c #C65654",
    " /        c #EADE87",
    ".J        c #E2BA2C",
    " K        c #EFCE2B",
    ".!        c #201604",
    " a        c #CEB23C",
    "+a        c #823634",
    ".e        c #FDF6C9",
    ".<        c #C6AE20",
    " }        c #DCBE31",
    "+s        c #82522C",
    "+r        c #AE6654",
    "+g        c #BABAA4",
    "+8        c #924244",
    "+:        c #602C2C",
    "./        c #AE9E6C",
    " l        c #C6AE54",
    " g        c #D2CEB2",
    " o        c #766A11",
    "+c        c #7A5B14",
    ".A        c #EEE6B4",
    "+v        c #B6AE8C",
    " b        c #CECAB1",
    ".$        c #423A0C",
    "+7        c #DC5E5C",
    " >        c #D8CE94",
    " N        c #BAAA6C",
    " 4        c #D2BA54",
    "+2        c #763634",
    "+o        c #6E3A2C",
    ".X        c #361E14",
    ".1        c #AA924C",
    "+n        c #B65644",
    ".>        c #EAD674",
    " @        c #E2DA9C",
    "+.        c #462A14",
    "+e        c #6C5A14",
    "+t        c #926E3C",
    ".n        c #A57E22",
    ".P        c #A69634",
    "+0        c #92763C",
    ".U        c #9E8617",
    "++        c #34220C",
    "+5        c #5C4C0C",
    "+k        c #C2B074",
    "+-        c #A34544",
    "+9        c #923E3C",
    " T        c #160E04",
    ".d        c #A68634",
    " #        c #E8DA74",
    " ,        c #D5D5CC",
    ".q        c #F2EAB0",
    "+m        c #BAA264",
    " <        c #EACE34",
    "+$        c #B68E24",
    ".I        c #A28E14",
    " -        c #DECA54",
    " .        c #C2BEB4",
    ".t        c #C6B434",
    " j        c #D2B22E",
    " 1        c #DADACC",
    "+=        c #B44A4C",
    " [        c #DCC236",
    ".Q        c #BEA614",
    ".(        c #EED25C",
    ".O        c #EAC624",
    "+^        c #C65254",
    "+)        c #AE8624",
    "+>        c #7A3234",
    ".h        c #867610",
    "+@        c #3E320C",
    ".N        c #DECA74",
    " S        c #0A0604",
    " m        c #EADA7C",
    "+b        c #1A1604",
    " )        c #EEDE74",
    " +        c #DAD6CC",
    " d        c #EBD62C",
    " C        c #A69614",
    ".%        c #E6CE1C",
    " %        c #ECD63C",
    ".-        c #BD9E28",
    " r        c #605610",
    " I        c #C2AE14",
    "+%        c #906A1E",
    " *        c #E6CE3C",
    " Y        c #B18E27",
    " G        c #C49E2A",
    ".Z        c #3A2A0C",
    " P        c #665E14",
    " R        c #9E8E14",
    "+,        c #7E3E2C",
    " !        c #F4DE54",
    ".y        c #EAC644",
    ".+        c #FAEA4C",
    ".p        c #DECE64",
    " J        c #BAA61C",
    "+<        c #99721D",
    ".^        c #CBA622",
    ".8        c #D8BE1C",
    "+i        c #C05254",
    ".m        c #AA8624",
    " w        c #CAAE1F",
    ".L        c #9C7A24",
    ".4        c #FEF6B4",
    " n        c #3A360C",
    "+1        c #D65A5C",
    " ]        c #E2C634",
    " V        c #D3AE26",
    ".w        c #D0B61C",
    ".G        c #564E14",
    ".E        c #DECE44",
    ".a        c #C6A62C",
    " x        c #CBA62E",
    " k        c #CEAE34",
    ".6        c #DACE74",
    ".[        c #E5BE2F",
    " 0        c #D2B644",
    ".S        c #9E8E60",
    ".#        c #7A6E14",
    " y        c #BAB294",
    ".j        c #6E5E0C",
    " E        c #060604",
    ".v        c #4E460C",
    "+p        c #C6C6B4",
    " D        c #CAB61C",
    " s        c #161604",
    " . . . . . . . . . . + @ # $ % & * = - ; > , . . . . . . . . . .",
    " . . . . . . . . ' ) ! ~ { ~ { & & * = ] ] ^ ; + . . . . . . . .",
    " . . . . . . . / ! ( ( ( _ _ ~ { & : < = ] ] [ } | . . . . . . .",
    " . . . . . 1 ! ( ( ( ( ( ( 2 3 3 3 & : < < ] ] } 4 4 , . . . . .",
    " . . . . ' ! ( ( ( 5 ( 6 ( 6 ~ 2 2 3 7 : : 8 ] 9 } 0 a b . . . .",
    " . . . ' c ~ ( ( ( 6 ( ( 6 6 6 6 6 2 7 d : < e ] } f a a g . . .",
    " . . . c ~ ( ( ( ( 6 5 5 6 5 6 6 6 6 h h 7 : < i [ f j k l . . .",
    " . . m c ( ~ ~ ( 6 n o 6 5 p q 6 6 2 r s t : u v w [ f k x y . .",
    " . 1 ~ { ~ ( 2 6 ( t z p A B C 6 5 6 D B z r E B F } f a F G b .",
    " . m { ~ ~ 2 ( 6 6 5 H E s I 5 5 6 6 6 J q q H K e 9 f L x M N .",
    " + O { ~ ~ ~ 2 2 6 P q Q q C 5 5 5 6 R S q q T U e 9 f V W X Y ,",
    " @ { { { 7 2 6 6 6 Z D 5 o q...+.@ _.#.$.% h z.& i U }.*.=.-.; y",
    ".> O O { ~ 2 2 2 6 6 5 5 5.. _.,.'.) [ e d.% o.!.~.{.] j.^.- Y./",
    ".( O { 7 { 7 2 6 6 6 6 6 5.+._._ /.: t I.].*.].< w.[.} j W.| Y.1",
    ".2 K O 7 7 2 2 2 6 6 5 6 5._.3.4.5.6.7 R p R u.8.{.9.0.*.a.b.c.d",
    ".2 8 K O 7 7 7 2 2 6 2 d $.5.e.e.3.f.g.h.i.j.k.] U.}.0.l G.|.m.n",
    ".2 8 8 O.o 7 7 2 6 6 6.%.p.q.r.e.4.s.t.u.v.v.~.w U.} L F X.;.d.x",
    ".y.z 8 8 K.o 7 7 7 2 6 d ; /.A.q.5.'.B v.C.i p.].9.0 V.a X.c.n.D",
    " ^.z.z 8 8 K.o 7 7 7 2 3.E.:.F.F.g R.G.C.H.I.l.8.J.w.K G.|.m.L.M",
    ".N.[.[.O i K.% : : 7 3 d d.).F.P.H.~.h.Q.8.}.{.9.} V.^.- Y.R.x.S",
    " >.T.J.[.{ i i K.%.o.%.~ v.i r.G.v.v A.U h.{.}.}.w.l G.;.m.L.V.W",
    " + L.T.T.9.9.O.O i.k q E.X.Y.Z.& Q+.+.+++@.U.k L.l+#.b+$.n.x+% ,",
    " .+& L L.J.J.9.{ w B q+.+*+=+-+;+>+-+-+,.Y q+'.^.^.-.;+).x+! . .",
    " .+~.K V V.0.} V Q q S+{+]+^+/+(+{+^+_+{+:.& Q+'.|.;.m.n+<+[ . .",
    " . .+&.^.K V L.U q B.Y+}+|+1+=+2+=+/+=+3+4 z q+5.R.c.R.x+%.S . .",
    " . . ..=+#+#.K+@ q T+6+/+7+1+{+8+^+/+=+9+2 S.! T+!.n.x+%+0 . . .",
    " . . . g G G+#+< E T+a+|+7+1+=+{+/+/+}+9+2+b q E+c+<+%+[ . . . .",
    " . . . . b G+d G+e q+|+|+1+|+^+_+^+_+-+(+: q+f+c+<+!+%+g . . . .",
    " . . . . . g M.b.;+h+|+/+|+|+/+/+i+}+3+4+:+c.x+<+%+0+j . . . . .",
    " . . . . . . .+k+$+h+i+^+i+^+_+}+=+3+4+6+l.V+!+[.S . . . . . . .",
    " . . . . . . . . b+m+n+}+=+=+{+-+9+4+6+o+!+[ .+p . . . . . . . .",
    " . . . . . . . . . .+~+q+r+3+9+a+2+s+t+u+v , . . . . . . . . . ."} ),

Uncertain = XpmToDib( {
    "32 32 236 2",
    ".)        c #0D0D04",
    "+|        c #9A8721",
    " V        c #DEC228",
    "+;        c #C0A618",
    " v        c #FAE22A",
    ".9        c #DACE84",
    ".L        c #7E720C",
    ".U        c #EED224",
    ".c        c #CBA622",
    ".P        c #AE8624",
    "+d        c #8F6A1D",
    ".6        c #CBBA37",
    " =        c #E8D254",
    "+-        c #927E14",
    ".b        c #E3C223",
    ".H        c #B4961C",
    ".|        c #F0E280",
    ".}        c #EEDA2C",
    ".[        c #A7962F",
    "+~        c #AEA68C",
    "+[        c #CEBA74",
    "+(        c #CCAF1C",
    ".w        c #DCB823",
    "+$        c #A07A20",
    ".a        c #EACA26",
    " >        c #AE9E44",
    " e        c #8A8A8C",
    ".$        c #665A0C",
    "+2        c #443A0C",
    "+)        c #C59924",
    ".+        c #FEF298",
    "+/        c #EED239",
    ".B        c #E2D67C",
    " u        c #6E6A4C",
    ".X        c #9E8A14",
    ".%        c #C6B21F",
    " :        c #1C1C0C",
    ".5        c #EADC5C",
    "+j        c #846314",
    " L        c #DDBE24",
    "+5        c #907315",
    " I        c #F1DA3A",
    " }        c #5A4E0C",
    ".:        c #FBEE81",
    "+{        c #D6AE2C",
    " R        c #FAE654",
    ".Z        c #E2C654",
    ".u        c #A18E1C",
    ".i        c #CEC264",
    "+>        c #A18218",
    ".Q        c #9A7A34",
    " U        c #E4C32C",
    " O        c #BEB68C",
    ".C        c #867614",
    " x        c #CAAA4C",
    " -        c #E8CE3D",
    ".M        c #4E460C",
    ".-        c #CBA72D",
    ".d        c #B18E25",
    ".;        c #BE9E2C",
    " X        c #CBAE37",
    "+@        c #C4A121",
    " 6        c #242210",
    ".z        c #F2D226",
    " t        c #3D3611",
    ".m        c #BA961F",
    ".>        c #B8AC6C",
    "._        c #F5D239",
    " s        c #C0B248",
    " S        c #F5EA9F",
    " w        c #514D34",
    " .        c #C3C2BC",
    " m        c #D5BE24",
    ".N        c #928218",
    ".W        c #706210",
    " B        c #F6DA26",
    " f        c #A29E7C",
    " W        c #DDB92D",
    "+8        c #D6D2B4",
    ".Y        c #9C7620",
    ".2        c #C39E32",
    " ,        c #7A723C",
    " [        c #36321C",
    "+#        c #BC9220",
    " n        c #F9DE25",
    "+9        c #C2AE3C",
    " G        c #F5E247",
    ".1        c #D2AE24",
    "+p        c #A67E1E",
    " c        c #5D5D5C",
    " %        c #3B3A34",
    ".x        c #A68638",
    "+m        c #8A6214",
    ".F        c #E2BE21",
    "+h        c #90743C",
    ".3        c #F5D624",
    " Z        c #D0CCB2",
    " ;        c #DECC44",
    "+c        c #876B14",
    "++        c #D2AA24",
    "+7        c #966E18",
    " E        c #EAD674",
    "+]        c #EAC621",
    ".*        c #A69E60",
    ".q        c #FDF5B4",
    " @        c #777672",
    " i        c #F9DB37",
    ".h        c #FAEA54",
    " p        c #A28E3C",
    ".8        c #DBCA54",
    "./        c #B69228",
    ".<        c #2B260C",
    " 8        c #161208",
    ".O        c #CDAA21",
    " M        c #D5B81E",
    ".0        c #EED254",
    "+6        c #987A18",
    ".I        c #A17E24",
    ".p        c #F2CE2C",
    "+:        c #A9861D",
    " k        c #F3DA56",
    "+!        c #96731E",
    " '        c #5A563C",
    "+,        c #9D8C62",
    " ~        c #B0B0B0",
    " #        c #565654",
    " 4        c #6A6654",
    " Y        c #C2A244",
    " $        c #454544",
    "+.        c #BEB270",
    ".{        c #F6E69C",
    " P        c #DEDAB4",
    " /        c #727274",
    ".'        c #8E864C",
    ".!        c #8A7E14",
    " &        c #666234",
    " z        c #EADE8C",
    ".@        c #C6BA64",
    " 0        c #807E74",
    " b        c #2B2B2C",
    " g        c #56522C",
    "+n        c #C2AE74",
    " o        c #D8C234",
    ".e        c #B09E68",
    ".s        c #D6CA64",
    " *        c #AA9E40",
    ".A        c #FEFACC",
    "+k        c #7B5D14",
    "+b        c #7D6314",
    " 1        c #887A34",
    " D        c #DAC64C",
    " j        c #665E2C",
    " +        c #A9A9AA",
    ".(        c #E2DA9C",
    "+a        c #887214",
    ".t        c #A89014",
    ".y        c #EECA38",
    " r        c #F4DE64",
    " K        c #D6BE44",
    "+i        c #9A8214",
    ".j        c #C5B338",
    "+r        c #B6AE8C",
    " !        c #9E9E9C",
    " ]        c #D5D5CF",
    " {        c #CECECC",
    " Q        c #FBEB72",
    ".~        c #BEAA24",
    " 9        c #1D1D1C",
    ".4        c #F9EC93",
    " F        c #F5E367",
    ".r        c #F2EAB0",
    " (        c #4C4C4A",
    ".&        c #524E2C",
    "+_        c #A88220",
    ".o        c #AA924C",
    " J        c #DEC644",
    "+&        c #DECA74",
    " 2        c #7A6E24",
    "+l        c #BABAA4",
    " a        c #242424",
    " _        c #343431",
    ".K        c #FDF6C9",
    " )        c #6A6A6C",
    ".V        c #EEE6B4",
    ".v        c #C6AA1C",
    "+o        c #B68A24",
    "+f        c #765D14",
    " T        c #F6E384",
    "+1        c #4A3E0F",
    " <        c #221E04",
    ".S        c #EAC530",
    " y        c #D2AA2C",
    " N        c #D2B234",
    "+g        c #CAA224",
    ".,        c #FAEE9C",
    "+'        c #E2BA2C",
    ".]        c #CAA22C",
    "+q        c #B6A264",
    ".l        c #C6A62C",
    "..        c #FEEE8C",
    " 5        c #524E44",
    "+3        c #906E14",
    ".E        c #B29A14",
    ".T        c #EECE26",
    " C        c #ECD640",
    ".D        c #5C5214",
    ".G        c #D7B229",
    "+=        c #A29224",
    "+e        c #B2921C",
    ".^        c #BC9A21",
    " A        c #F5D638",
    "+<        c #8B6619",
    " 7        c #17160E",
    "+4        c #9A7E14",
    " l        c #A98A1A",
    "+^        c #F5DE57",
    ".f        c #F0CE3A",
    ".R        c #EAC644",
    " H        c #FAE23E",
    "+%        c #9A8240",
    "+}        c #DEC61C",
    ".g        c #FAE634",
    ".#        c #665E14",
    " ^        c #A2A28C",
    ".=        c #D2B229",
    ".J        c #DECE64",
    " d        c #8E7E2C",
    " 3        c #4C4620",
    " |        c #8E822C",
    " q        c #C6AE54",
    "+*        c #E5BE2F",
    " h        c #ECD62C",
    ".n        c #B28A1C",
    ".7        c #E6D658",
    ".k        c #E4C622",
    "+0        c #362E0C",
    " . . . . . . + @ # $ % % & * = - - ; > , ' # # # ) ! ~ . { ] ] .",
    " . . . ^ / ( / + @ _ : : < [ } | 1 2 3 4 5 6 7 8 9 _ $ ) 0 ~ ] .",
    " . . . $ _ a ) + / _ 9 9 9 a a b b b % / c b 9 9 9 9 a b a . . .",
    " . . . c # a _ ( % a 9 9 a a b d d b a _ b a a a a b b e ( . . .",
    " . . . c f 3 6 a 9 9 a a a a g h i ' a 9 9 a a a a b j ^ c . . .",
    " . . . 0 k l 3 8 9 9 a a b _ m n n o % a a 9 a a b b p q 0 . . .",
    " . . . r i i s j t a _ $ u * n n v n s w b a b _ w 1 x y q . . .",
    " . . z A i i B C D D E F G H v n n n B I h C - J K L M N x O . .",
    " . P i i i n i n n G Q Q R v v n n n n n F S T = U V W X y Y Z .",
    " . E A A i i n B H Q...+.@.#.$.% v v V ,.&.* S T - U M.=.-.;.> .",
    " . A A A A B n B G...,.+.'.).).! v v.~ 8.).& S.{ - U L N.].^./ ]",
    ".(._ A A i i B n v.:.+.+.*.<.<.[.} h.% t 8 ,.{.| - U W.1 x.2./ O",
    " E._ A.3.3 B B B n R Q.4.5.6.6.7.5.8 m.~ q.9 T.0.a.b L.=.c.;.d.e",
    ".0.f._ A.3 i B n n n v.g.g.h.:.: z.i.j.% m.% m.a.k V W.=.l.m.n.o",
    ".f._.p A.3 B B B n v n n G.:.+.q.r.s s.[.t.u.v L.b L.w.1.l.m.x.x",
    ".y.y._.z._.3.3 B B n n.}.7.,.A.A.q.B s.C.D.#.E M V.F.G y.2.H.n.I",
    ".y.y.y.z.z.3 B B B n.} h.J.r.K.K.q z.%.L.M.M.N M V L.G.O.;.d.P.Q",
    ".R.S.y.T.p.z.U.3 B B n -.8.(.V.r.4.5.N.$.W.D.X M L.w.1.l.^.d.I.Y",
    ".Z.S.S.y.a.z.z.z.3 B n.} ;.i.>+. s.u }.W.t.X.v.F.w M+++@+#.P+$+%",
    "+&+*+* U.a.a.T.U.U.3.3.}.}.8 s.[+=+-.C+;.b.w.b.F.w.O+@.^.d+>.Y+,",
    ".9 W+'+*.b.a.a.T.T.U.z.3.} I = o.6 m V.T.T.k.F M+;+).m.d.P+$+!+~",
    " ]+{.w+'.F.b+].a.T.T.U A+^ F+^ I h+/.U.a.b+@+(.O.H.X+_+:.I.Y+< ]",
    " .+[+{.G.w+'.F.b.a.a+/ k r.5 k C.f+}+|.$+1+2+3.^+4+5+5+6.Y+7.' .",
    " .+8 y+{+{.w.w.F.F.k -.0 =+9.[.W+0 7 <.<+1+a+4+|+3+b+c+7+!+d . .",
    " . .+[.-++.1.G.w.w.F U.N+1 8+2 t.$+e.G+(.O.t l+5+b+f+<+d+<+, . .",
    " . . . x+g.c++++++.1.G.<+f l+(.c+@.E.H+e.t+>+!+b+f+f+<+<+h . . .",
    " . . . Z.2+)+g.c+g+@+g+;+@.m.H l+i+5+5+5+5+c+j+f+f+b+<+d . . . .",
    " . . . . Z.2+)+).^+).m.d l+>+6+5+c+c+b+b+k.W+f+k+k+j+d+l . . . .",
    " . . . . . Z Y+)+#.d.d+:+>+5+5+3+b+b+b+b+b+j+k+j+m+h . . . . . .",
    " . . . . . . .+n+o.n.n+_+>+p.Y+5+a+3+j+j+<+m+c+m+, . . . . . . .",
    " . . . . . . . . Z+q+_+p+p+p.Y.Y+!+5+!+3+d+<+, . . . . . . . . .",
    " . . . . . . . . . . ] O >.x+p+!+7+!.I+,+r ] . . . . . . . . . ."} )


    



